Support » Plugin: MailPoet - emails and newsletters in WordPress » MailPoet 3.48.1 Critical Error

  • Resolved Nimbus Digital

    (@nimusdigital)


    I am getting a Critical Error after updating to Mail Poet v 3.48.1:

    Fatal error: Uncaught Error: Class 'Normalizer' not found
    in /web/cabgrid.com/files/wp-content/plugins/mailpoet/vendor-prefixed/symfony/polyfill-intl-idn/Idn.php on line 2
    
    Call stack:
    
        MailPoetVendor\S\P\I\I\Idn::process()
        wp-content/plugins/mailpoet/vendor-prefixed/symfony/polyfill-intl-idn/Idn.php:2
        MailPoetVendor\S\P\I\I\Idn::idn_to_utf8()
        wp-content/plugins/mailpoet/vendor-prefixed/symfony/polyfill-intl-idn/bootstrap.php:2
        idn_to_utf8()
        wp-content/plugins/amp/includes/class-amp-http.php:233
        AMP_HTTP::get_amp_cache_hosts()
        wp-content/plugins/amp/includes/class-amp-http.php:198
        AMP_HTTP::filter_allowed_redirect_hosts()
        wp-includes/class-wp-hook.php:289
        WP_Hook::apply_filters()
        wp-includes/plugin.php:206
        apply_filters()
        wp-includes/pluggable.php:1480
        wp_validate_redirect()
        wp-includes/functions.php:1905
        wp_get_referer()
        wp-includes/pluggable.php:1139
        check_admin_referer()
        wp-admin/plugins.php:56

    I am running on PHP 7.4 on NGINX

    I have removed all MailPoet plugins temporarily (mailpoet, mailpoet-add, mailpoet-premium)

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Hello,

    Thanks for writing. ​Can you try manually adding MailPoet via FTP. Ref: https://kb.mailpoet.com/article/258-re-installing-updating-the-plugin-via-ftp

    ​Thanks,

    Thread Starter Nimbus Digital

    (@nimusdigital)

    Thanks. I did that…

    MailPoet activated properly, but returned a 500 error in the admin interface.

    I then re-uploaded and activated the mailpoet-premium plugin. I got the same error again…

     Fatal error: Uncaught Error: Class 'Normalizer' not found
    in /web/cabgrid.com/files/wp-content/plugins/mailpoet/vendor-prefixed/symfony/polyfill-intl-idn/Idn.php on line 2
    
    Call stack:
    
    MailPoetVendor\S\P\I\I\Idn::process()
    wp-content/plugins/mailpoet/vendor-prefixed/symfony/polyfill-intl-idn/Idn.php:2
    MailPoetVendor\S\P\I\I\Idn::idn_to_utf8()
    wp-content/plugins/mailpoet/vendor-prefixed/symfony/polyfill-intl-idn/bootstrap.php:2
    idn_to_utf8()
    wp-content/plugins/amp/includes/class-amp-http.php:233
    AMP_HTTP::get_amp_cache_hosts()
    wp-content/plugins/amp/includes/class-amp-http.php:198
    AMP_HTTP::filter_allowed_redirect_hosts()
    wp-includes/class-wp-hook.php:289
    WP_Hook::apply_filters()
    wp-includes/plugin.php:206
    apply_filters()
    wp-includes/pluggable.php:1480
    wp_validate_redirect()
    wp-includes/functions.php:1905
    wp_get_referer()
    wp-includes/pluggable.php:1139
    check_admin_referer()
    wp-admin/plugins.php:56

    Unfortunately, we can confirm it’s a bug and we’re already working on a fix for it.

    In the meantime, you can revert back to version 3.48.0 on your production website which works fine.

    Download here: https://downloads.wordpress.org/plugin/mailpoet.3.48.0.zip

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘MailPoet 3.48.1 Critical Error’ is closed to new replies.